{ config, lib, pkgs, ... }:

let
  #inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

{
  imports = [
    # installées systématiquement
    ./environment.nix
    ./localisation.nix
    ./network.nix
    #./network-ipv6.nix
    ./services/service-haveged.nix
    ./services/service-monitoring-munin.nix
    ./services/service-monitoring-smokeping.nix
    ./services/service-ssh.nix
    ./udev.nix

    # commandées par config-generator
    ## option de configuration spécifique
    ./applications/app-awesome.nix               # pour le gestionaire de fenêtres awesome
    ./applications/app-cao.nix                   # de conception assisté par ordinateur & modélisation
    ./applications/app-cartographie.nix          # manipuler les données géographiques & cartes
    ./applications/app-developpement.nix         # développer des programmes/scripts
    ./applications/app-developpement-elm.nix     # développer en elm
    ./applications/app-developpement-haskell.nix # développer en haskell
    ./applications/app-developpement-java.nix    # développer en java
    ./applications/app-developpement-jetbrains.nix # outils jetbrains
    ./applications/app-developpement-rust.nix    # développer en rust
    ./applications/app-docker.nix                # activer docker
    ./applications/app-edition-musique.nix       # modifier les fichiers musicaux
    ./applications/app-edition-photo.nix         # modifier les photos & assimilé
    ./applications/app-edition-video.nix         # modifier les vidéos
    ./applications/app-jeux.nix                  # jouer, tout simplement ;)
    ./applications/app-virtualbox.nix            # activer virtualbox
    ./auto-upgrade.nix              # mise à jour automatique du système
    ./laptop.nix                    # appli & configuration adaptée pour un PC portable
    ./print.nix                     # configuration de base de cups
    ./services/service-elasticsearch.nix     # service de stockage et recher de données
    ./services/service-hoogle.nix            # service hoogle pour haskell
    ./services/service-hydra-build.nix       # service de construction de paquet. -> la machine compile des paquets
    ./services/service-hydra-core.nix        # service pour l'instance d'hydra
    ./services/service-kibana.nix            # service de visualisation de données stockées dans elasticsearch
    ./services/service-laptop.nix            # services spécifiques aux pc portables
    ./services/service-locate.nix            # service locate
    ./swap.nix                      # définition de l'utilisation du swap
    ./xmonad/xmonad.nix             # pour le gestionaire de fenêtre xmonad

    ## if isDesktop
    ./applications/app-adminsys.nix              # pour gérer le système dans son ensemble et les services
    ./applications/app-bureau.nix                # éléments pour avoir un environement graphique minimal utilisable
    ./applications/app-bureautique.nix           # dédiée à la bureautique (traitement de texte, dessin, ...)
    ./applications/app-client-internet.nix       # pour accéder & utiliser des ressources par le réseau
    ./applications/app-multimedia.nix            # pour gérer le son, l'image et la vidéo
    ./applications/app-network.nix               # de gestion, de diagnostique & surveillance réseau
    ./applications/app-securite.nix              # relatives à la sécurité (chiffrement, gpg, mots de passe, ...)
    ./hardware-scanner.nix          # utilisation d'un scanner
    ./services/service-pulseaudio.nix        # activation du serveur audio
    ./services/service-x11.nix               # activation du serveur graphique X
  ];
}
